#!/bin/sh

for i in /sys/devices/system/cpu/cpu[0-9]*
     do
		CPU=${i#/sys/devices/system/cpu/}
		STATUS="1"
		if [ -e /sys/devices/system/cpu/$CPU/online ]; then
			STATUS=`cat /sys/devices/system/cpu/$CPU/online`
		fi

		if [ $STATUS = "0" ] ; then
			echo "$CPU is offline"
			continue;
		fi


		echo "$CPU is online"
		printf " Siblings: %s\n Governor: %s\n Set Speed: %s\n" `cat $i/topology/thread_siblings_list` `cat $i/cpufreq/scaling_governor` `cat $i/cpufreq/scaling_setspeed`
     done
